Subject: Re: [PATCH v2] t0410: modernize delete_object helper

From: Jeff King <[email-masked]>
Date: Tue, 17 Mar 2026 22:37:57 -0400

On Fri, Mar 13, 2026 at 08:29:41AM -0700, Junio C Hamano wrote:

> I am tempted to add this to SubmittingPatches::[test]; the first
> line of the new paragraph appears several lines before the pre-
> context but without "`make test` from the top-level".
> [...]
> +After any code change, make sure that the entire test suite passes,
> +with `make test` from the top-level.  We say this twice here because
> +it is important.

Seems reasonable. The other mention of "run the whole suite" is buried
inside a big paragraph.

I have no idea if people read the document at all, though.  I certainly
don't, but I am also not a new person trying to join the project. I've
usually read, if not participated in, most discussions which lead to
changes in them anyway. ;)

-Peff